Subject: Re: Loading gcc-compiled DLL with Java (JNI) crashes when using newer (>1.5.5) cygwin1.dll
From: Larry Hall <[email-masked]>
To: [email-masked], Martin Proefrock <[email-masked]>
Cc: [email-masked]
Date: Tue, 09 Mar 2004 19:12:58 -0500

At 04:53 PM 3/9/2004, you wrote:
>On Tue, 9 Mar 2004, Martin Proefrock wrote:
>
>> >>It just worked fine with 1.5.5. Now, using 1.5.7, Java crashes inside
>> >>the System.LoadLibrary call, even with a nearly empty DLL.
>>
>> > Try a snapshot. <http://cygwin.com/snapshots/>
>>
>> It still crashes when using the latest snapshot 20040306.
>
>The core Cygwin DLL (/bin/cygwin1.dll) has no support for dynamic loading.
>You may have been lucky before in that the functionality you had in your
>DLL didn't require the loading of the core one.  Apparently this has
>changed between 1.5.5 and 1.5.7.  Since this isn't supported, you're
>basically on your own...  Sorry.

Oh jeez.  I guess I was too much on my "try a snapshot" bandwagon today.
Rereading I noticed that Martin mentioned that he was trying to 
dynamically load a Cygwin-enabled DLL.  So yeah, the snapshot isn't going
to help here.  Without Cygwin-enabled Java or a kind patch to the Cygwin 
DLL, this isn't going to work, just as Igor said.

But trying a snapshot was fun, wasn't it?! ;-)

--
Larry Hall                              http://www.rfk.com
RFK Partners, Inc.                      (508) 893-9779 - RFK Office
838 Washington Street                   (508) 893-9889 - FAX
Holliston, MA 01746                     

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/